# TODO
# unpackaged
#   /usr/lib/nautilus-sendto/plugins/libnstblueman.a
#   /usr/lib/nautilus-sendto/plugins/libnstblueman.la
#   /usr/lib/nautilus-sendto/plugins/libnstblueman.so
Summary:	Blueman - bluetooth management utility for GNOME
Name:		blueman
Version:	1.23
Release:	3
License:	GPL
Group:		Applications
Source0:	http://download.tuxfamily.org/blueman/%{name}-%{version}.tar.gz
# Source0-md5:	f0bee59589f4c23e35bf08c2ef8acaef
Patch0:		missing-icons.patch
Patch1:		icon-active.patch
URL:		http://blueman.tuxfamily.org/
BuildRequires:	bluez-libs-devel
BuildRequires:	gettext-devel
BuildRequires:	gnome-bluetooth-devel
BuildRequires:	intltool
BuildRequires:	librsvg
BuildRequires:	pkgconfig
BuildRequires:	python-Pyrex
BuildRequires:	python-dbus-devel
BuildRequires:	python-devel >= 2.5
BuildRequires:	python-distutils-extra
BuildRequires:	python-pynotify-devel
BuildRequires:	rpm-pythonprov
BuildRequires:	startup-notification-devel
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
Requires:	bluez-libs >= 4.25
Requires:	bluez-utils >= 4.25
Requires:	gtk+2 >= 2.12
%pyrequires_eq	python = %py_ver
Requires:	python-bluetooth
Requires:	python-dbus
Requires:	python-pygtk-gtk
Requires:	python-pynotify
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Blueman is a GTK+ bluetooth management utility for GNOME using bluez
dbus backend. The aim is to create a full featured graphical bluetooth
manager for Linux.

Features:

- Easy to use interface
- Storing Favourite devices
- Send files
- Browse files on devices
- List all seen devices
- View Local/Remote Device information
- View transfer speeds and link quality
- Configure local devices
- Manage Pairing (Bonding)
- Host/Connect to Personal Area Networks
- Bind services to /dev/rfcomm ports, for eg. connecting via gprs
- Connect and receive connections from: audio, network, input and
  serial devices

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure \
	--disable-hal

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for s in 16 32 48 ; do
	install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/${s}x${s}/status
	rsvg-convert -w $s -h $s -o $RPM_BUILD_ROOT%{_iconsdir}/hicolor/${s}x${s}/status/blueman-tray.png \
		data/icons/hicolor/scalable/status/blueman-tray.svg
	rsvg-convert -w $s -h $s -o $RPM_BUILD_ROOT%{_iconsdir}/hicolor/${s}x${s}/status/blueman-tray-active.png \
		data/icons/hicolor/scalable/status/blueman-tray-active.svg
	rsvg-convert -w $s -h $s -o $RPM_BUILD_ROOT%{_iconsdir}/hicolor/${s}x${s}/status/blueman-tray-disabled.png \
		data/icons/hicolor/scalable/status/blueman-tray-disabled.svg
done
install -d $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/status
install data/icons/hicolor/scalable/status/*.svg $RPM_BUILD_ROOT%{_iconsdir}/hicolor/scalable/status

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%config(noreplace) %verify(not md5 mtime size) /etc/dbus-1/system.d/org.blueman.Mechanism.conf
%attr(755,root,root) %{_libdir}/%{name}-mechanism
%attr(755,root,root) %{_bindir}/*
%{_datadir}/%{name}
%{_datadir}/dbus-1/system-services/org.blueman.Mechanism.service
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_iconsdir}/hicolor/*/*/*.png
%{_datadir}/polkit-1/actions/org.blueman.policy
%{_desktopdir}/blueman-manager.desktop
%{py_sitedir}/*.so
%{py_sitedir}/*.a
%{py_sitedir}/*.la
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/xdg/autostart/blueman.desktop
%{_mandir}/man1/*.1*
%{_datadir}/dbus-1/services/blueman-applet.service
%{py_sitescriptdir}/%{name}
%changelog
* Wed Dec 18 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/blueman.git;a=log;h=master

* Wed Dec 18 2013 Jan Rękorajski <baggins@pld-linux.org> b8c4aac
- added missing status icons
- rel 3

* Sun Dec 15 2013 Jan Rękorajski <baggins@pld-linux.org> ad01613
- added tray icon fix from fedora
- rel 2

* Tue Dec 13 2011 Elan Ruusamäe <glen@pld-linux.org> 26a66f4
- up to 1.23

* Thu Jul 28 2011 Jan Rękorajski <baggins@pld-linux.org> 0348fef
- rel 8
- hal is obsolete, disable it

* Sun May 29 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 127520a
- release 7

* Fri Feb 04 2011 Artur Frysiak <artur@frysiak.net> f024206
- Requires(post,postun): gtk-update-icon-cache

* Tue Sep 21 2010 Elan Ruusamäe <glen@pld-linux.org> f561a18
- release 5

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1694a1c
- release 4

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 488224c
- release 3

* Fri Jun 18 2010 arvenil <arvenil@pld-linux.org> 8235d8e
- added %update_icon_cache hicolor
- release 2

* Tue Jan 05 2010 sparky <sparky@pld-linux.org> 44d265e
- BR: pkgconfig

* Tue Jan 05 2010 w.kier <w.kier@pld-linux.org> c6c66b9
- up to 1.21

* Mon Aug 03 2009 Jarosław Kruk <jareq@pld-linux.org> 3d94228
- update to 1.10

* Tue Apr 14 2009 Tomasz Pala <gotar@pld-linux.org> 11ad311
- added missing Rs

* Mon Mar 23 2009 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 1d6da7c
- add version to R:bluez*

* Mon Mar 23 2009 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> fb1a0cd
- up to 1.02

* Sun Oct 19 2008 Szymon Siwek <sls@pld-linux.org> 550d86c
- fixed locales installation

* Sun Oct 19 2008 Szymon Siwek <sls@pld-linux.org> e84511d
- updated BR

* Sat Oct 18 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 7e0fad4
- up to 0.6.r106

* Tue Oct 14 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 432067c
- release 5

